MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011042Community[OCCT] OCCT:Modeling Algorithmspublic2005-12-23 09:452011-11-24 10:14
Reporterszv 
Assigned Toifv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.3.0 
Summary0011042: Exception in ChFi3d_Builder, function ChFi3d_PerformElSpine
DescriptionDesription from the Forum:

The method ChFi3d_PerformElSpine (in ChFi3d_Builder_0.cxx, lines 4172ff.)
sometimes raises a Standard_ConstructionError. Then the algorithm exits
without result, although there is a C1-continuous contour, that could be
chamfered.

The exception stems from the constructor of Geom_TrimmedCurve in line 4300,
when called with two equal parameters First and Last. Before that call the
values of said parameters are changed in ways that do not always guarantee
First != Last.

The obvious solution would be to move the check from line 4264
else{
[...]
if(Abs(Last-First) < tolpared) cepadur = 1;
}
}
two lines further down, so that the parameters are checked for the
if(E.Orientation() == TopAbs_REVERSED) {
branch as well.

I have tested this fix on various models with BRepFilletAPI_MakeChamfer,
and the chamfers were successful.
Additional information
and documentation updates
Documentation remark, added by IFV 2008-08-27 10:02:21:

New features:
No
Improvements:
No
Changes:
Correction of bug
TagsNo tags attached.
Test case number
Attached Filesgz file icon occ11042_v1.tar.gz (37,228 bytes) 2008-07-01 07:16

- Relationships

-  Notes
(0011105)
bugmaster (administrator)
2008-06-30 15:26
edited on: 2011-11-24 10:15

Dear IFV,

Could you please analyze suggestion of Christian Krug and prepare patch if
suggestion is rational.

(0011108)
bugmaster (administrator)
2008-07-01 10:22

Michael (MKV),

Please process for 6.3

- Issue History
Date Modified Username Field Change
2008-06-30 15:22 bugmaster Status closed => assigned
2008-06-30 15:22 bugmaster Resolution suspended => @0@
2008-06-30 15:26 bugmaster CC => szv
2008-06-30 15:26 bugmaster Assigned To bugmaster => ifv
2008-07-01 09:17 ifv Status assigned => resolved
2008-07-04 20:16 mkv Status resolved => tested
2008-08-27 11:30 bugmaster Status tested => verified
2009-06-23 17:23 bugmaster Status verified => closed
2009-06-23 17:23 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 10:14 szy Description Updated View Revisions
2011-11-24 10:14 szy Additional Information Updated View Revisions
2011-11-24 10:15 szy Note Edited: 0011105 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker